import { dirname } from 'path';
import { fileURLToPath } from 'url';

import { Storage } from "./controller/storage.js";
Storage.dir = dirname(fileURLToPath(import.meta.url));

import { Web } from "./controller/express.js";
import  { Hub } from "./controller/sensorhub.js";
import { WebSock } from "./controller/websocket.js";
import { Weather } from './controller/weather_api.js';

let x = new Hub();
Storage.hub = x;

let web = new Web();
Storage.web = web;
let sock = new WebSock();
let weather = new Weather();

